Skip to main content
POST
/
datasets
/
{datasetId}
/
rows
Add rows to a dataset
curl --request POST \
  --url https://api.adaline.ai/v2/datasets/{datasetId}/rows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rows": [
    {
      "values": {}
    }
  ]
}
'
{
  "rows": [
    {
      "id": "<string>",
      "values": {},
      "createdAt": 17450965800000,
      "updatedAt": 17450965800000
    }
  ]
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Query Parameters

valuesBy
enum<string>
Available options:
columnId,
columnName

Body

application/json
rows
object[]
required
Required array length: 1 - 100 elements

Response

Rows added.

rows
Dataset Row · object[]
required